body {
	display: flex;
	flex-direction: column;
	height: unset !important;
    min-height: 100% !important;
}

#body-wrap,
#body-wrap > .main-section,
.main-section > .hero-and-content,
.main-section > .hero-and-content > .container-flow,
.page-layout-two-left
{
	display: flex;
	flex-direction: column;
	flex: 1 0 auto;
	margin: unset !important;
}

#body-wrap,
#body-wrap > .main-section,
.main-section > .hero-and-content,
.main-section > .hero-and-content > div,
#body-push, .web-footer {
	height: unset !important;
}


/********** Main content ***********/
/* portal pages uses a two-left layout. This is required or we end up messing with ALL page-column-main classes through out the site */
.page-layout-two-left .page-column-main.page-content {
	padding-top: 5rem;
	padding-left: 5rem;
	padding-right: 5rem;
	flex: 0 0 auto;
}


/*********** Side Bar *************/
.page-column-left.sidebar-block {
	background-color: #313131;
	border-right: none;
	/* frappe uses: .vert-line > div which causes padding issues. You can't touch padding-bottom */
	padding-right: 0;
	padding-top: 0;
	flex: 0 0 auto;
}
div.row.vert-line.page-layout-two-left {
	display: flex;
	flex-direction: row;
}

.page-column-left .web-sidebar {
	padding: 2rem 0rem;
}

.page-column-left .sidebar-item {
	padding-bottom: 0rem !important;
}

.page-column-left .sidebar-item a {
	font-family: "Oswald";
	font-size: 1.5rem;
	display: block;
	padding: 1.3rem 2rem;
	color: #fff !important;
}

.page-column-left .sidebar-item a.active {
	color: #000 !important;
	background-color: #fff;
	box-shadow: 0px 0px 10px gray;
}

.page-column-left .sidebar-item a:hover {
	background-color: #666666;
	text-decoration: none;
}

/*********** List *************/

.website-list .more-block {
	text-align: right;
}

.website-list .more-block .btn-more {
	margin: 15px;
	background-color: #000000;
	font-family: 'Oswald';
	color: #ffffff;
	padding: 0.3rem 1.5rem;
	font-size: 1.8rem;
}

.vert-line > div + div {
	border: none;
}

/*********** Account Page ***********/

.your-account-info .avatar {
	width: 100%;
	height: auto;
}

.your-account-info .avatar .standard-image {
	border-radius: 0rem;
	border: 2px solid #dcdcdc;
	box-shadow: 0px 2px 5px #dcdcdc;
}

.your-account-info .list-unstyled {
	display: inline-block;
	width: -moz-available;
	width: -webkit-fill-available;
	width: fill-available;
}

.your-account-info .list-unstyled h6 {
	padding: 5px 15px;
	background-color: #313131;
	text-align: center;
	border-radius: 2px;
	color: #f5f5f5 !important;
	margin: 5px 0px;
}

.your-account-info .col-sm-4 {
	width: auto;
}
/* Order and Invoice detailed view */
.transaction-subheading {
	display: flex;
	flex-direction: column;
}
.transaction-subheading .text-right{
	text-align: left;
	padding: 1em 0 0 1.4em;
}
.order-container .order-item-table {
	margin: 0px;
	border-bottom: 1px solid #d1d8dd;
}
.order-container .product-image-square {
	border: 1px solid #d1d8dd;
	border-radius: 2px;
}
/* Address detail view */
#page-addresses .row.page-layout-one {
	padding: 5em;
}
#page-addresses .btn-primary {
	font-size: 1.2em;
	padding: 0.3em 1em;
}
#page-addresses a.btn-default {
	color: #161616;
    font-family: oswald;
    border-radius: .1em;
    background-color: #f0f4f7;
    font-size: 1.2em;
    border: none;
    padding: .3em 1em;
    margin: .3em 0;
}
.product-image.missing-image {
	display: none;
}

body > footer , #body-push {
	height: unset !important;
}
.vert-line > div {
	padding-bottom: 0px;
	margin-bottom: 0px;
}
body > #body-wrap {
	flex-grow: 1;
	min-height: unset !important;
	height: unset !important;
	margin: unset !important;
}
body {
	display: flex;
	flex-direction: column;
}
footer {
	flex-grow: 0;
}
/* Small devices (landscape phones, 576px and down) */
@media (max-width: 576px) {
	.product-image-square {
		display: none;
	}
	.item-description h3 {
		font-size: 1.2em;
	}
	.page-layout-two-left .page-column-main.page-content {
		padding-left: 1rem;
		padding-right: 1rem;
		width: 100%;
	}
	.order-image-col {
		width: 0em;
		padding: 0em;
	}
	.row.item_name_and_description div:not(.order-image-col) {
		width: 100%;
	}
	#page-addresses .row.page-layout-one {
		padding-left: 1rem;
		padding-right: 1rem;
	}
	.order-taxes .row div:nth-child(1) {
		text-align: left;
	}
}
